Difference between revisions of "Draft Move/cs"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{Docnav|[[Draft_Label|Label]]|[[Draft_Rotate|Rotate]]|[[Draft_Module|Draft]]|IconL=Draft_Label.svg|IconC=Workbench_Draft.svg|IconR=Draft_Rotate.svg}}
+
{{Docnav
 +
|[[Draft_Label|Label]]
 +
|[[Draft_Rotate|Rotate]]
 +
|[[Draft_Module|Draft]]
 +
|IconL=Draft_Label.svg
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Rotate.svg
 +
}}
  
 
<div class="mw-translate-fuzzy">
 
<div class="mw-translate-fuzzy">
Line 85: Line 92:
 
}}
 
}}
  
{{Docnav|[[Draft_Label|Label]]|[[Draft_Rotate|Rotate]]|[[Draft_Module|Draft]]|IconL=Draft_Label.svg|IconC=Workbench_Draft.svg|IconR=Draft_Rotate.svg}}
+
{{Docnav
 
+
|[[Draft_Label|Label]]
{{Draft Tools navi}}
+
|[[Draft_Rotate|Rotate]]
 +
|[[Draft_Module|Draft]]
 +
|IconL=Draft_Label.svg
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Rotate.svg
 +
}}
  
{{Userdocnavi}}
+
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 
{{clear}}
 
{{clear}}

Latest revision as of 20:30, 21 February 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft Label.svg Label
Next: Rotate Draft Rotate.svg Arrow-right.svg

Draft Move.svg Kreslení Posun

Umístění Menu
Draft -> Move
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
M V
Představen ve verzi
-
Viz také
Nikdo


Popis

Nástroj Posun posunuje nebo kopíruje vybrané objekty z jednoho bodu do druhého v aktuální pracovní rovině. Není-li vybrán žádný objekt, budete vyzváni k výběru objektu.

The Move tool can be used on 2D shapes created with the Draft Workbench or Sketcher Workbench, but can also be used on many types of 3D objects such as those created with the Part Workbench or Arch Workbench.

To produce various copies in different arrangements use Draft Array, Draft PathArray and Draft PointArray.

Draft Move example.jpg

Moving an object from one point to another point


Použití

  1. Vyberte objekty, které chcete posunout nebo zkopírovat
  2. Stiskněte tlačítko Draft Move.png Posun nebo klávesy M a potom V
  3. Klikněte na první bod ve 3D pohledu nebo zadejte souřadnice
  4. Klikněte na další bod ve 3D pohledu nebo zadejte souřadnice.

Omezení

  • Je-li posunován (nebo se mění jeho umístění) objekt dokumentu (např. Pad, Revolution, atd.), který je postavena Náčrtu (z Náčrt/Návrh dílu), musíte posunovat původní náčr. Pokud byste posunovali odvozený objekt, tak ten by se zase vrátil zpátky na pozici definovanou v náčrtu.

Volby

  • Stiskněte klávesu X, Y nebo Z po prvním bodu pokud chcete uplatnit vazbu dalšího bodu v příslušné ose.
  • Chcete-li zadat souřadnice ručně jednoduše zadejte číslo a potom stiskněte ENTER mezi každou z komponent X, Y a Z.
  • Stiskněte klávesu R nebo zaklikněte/odklikněte políčko Relativně. Je-li zapnut relativní mód, budou souřadnice dalšího bodu relativní k předchozímu bodu. Pokud ne, bodou souřadnice absolutní, tj. k počátečnímu bodu (0,0,0).
  • Stiskněte klávesu T nebo zaklikněte/odklikněte políčko Pokračovat. Je-li nastaven pokračovací mód, bude nástroj Posun hned po ukončení připraven k posunutí nebo kopírování bez nutnosti stisknout znovu tlačítko Posun.
  • Stisknutí klávesy ALT nebo C nebo kliknutí na tlačítko Kopie vytvoří kopii objektu místo jeho posunutí. Podržíte-li stisknutou klávesu ALT po kliknutí na druhý bod, budete moci umístit několik kopií, až dokud neuvolníte klávesu ALT.
  • Stisknutím klávesy CTRL během kreslení vynutíte přichycení vašeho bodu k nejbližšímu uchopovacímu místu nezávisle na vzálenosti od něho.
  • Stisknutím klávesy SHIFT během kreslení nastavíte vazbu vašeho bodu svisle nebo vodorovně v relaci předchozímu bodu.
  • Stisknutím tlačítka ESC nebo Zrušit zrušíte právě probíhající příkaz.

Skriptování

Nástroj Posun může být využit v makrech a z konzoly Pythonu použitím následující funkce:

movedlist = move(objectslist, vector, copy=False)
  • Posune objekt nebo objekty obsažené v zadaném seznamu (list) ve směru a do vzdálenosti dané parametrem Vector.
  • Je-li copymode True, nebudou vybrané objety posunuty, ale zkopírovány. Vrací objekt(y) (nebo jejich kopie, je-li copymode True).
  • Je vrácen seznam posunutých objektů (resp. zkopírovaných).

Příklad:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(5, radius=1000)
Polygon2 = Draft.makePolygon(3, radius=500)
Polygon3 = Draft.makePolygon(6, radius=220)

Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))

List1 = [Polygon1, Polygon2, Polygon3]

vector = FreeCAD.Vector(-2000, -2000, 0)
List2 = Draft.move(List1, vector, copy=True)
List3 = Draft.move(List1, -2*vector, copy=True)
Arrow-left.svg Previous: Draft Label.svg Label
Next: Rotate Draft Rotate.svg Arrow-right.svg